/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/src/sgx/graphics/update.cpp

*/

#include "sgx/core/core.hpp"
#include "sgx/graphics/graphics.hpp"

void 
CSGXGraphicsEngine::update(const tREAL32 telaps)
{
	// We don't call CSGXEngine::update(telaps) since that invokes update
	// on the game objects.
	preUpdateScene(telaps);
	doUpdateScene(telaps);
	postUpdateScene(telaps);
}

void 
CSGXGraphicsEngine::preUpdateScene(const tREAL32 telaps)
{
   	SGX_UNUSED(telaps);
}

void 
CSGXGraphicsEngine::doUpdateScene(const tREAL32 telaps)
{
   	SGX_UNUSED(telaps);
}

void 
CSGXGraphicsEngine::postUpdateScene(const tREAL32 telaps)
{
   	SGX_UNUSED(telaps);
}
